#!/bin/sh

# Network config for test, as requested:
# In a bridging configuration where there are only 2 ports in the bridge PVID (1 source and 1 destination), 
# could you please run the following command from a station attached to one of the Marvell switch ports:

ip addr del 172.16.42.199/22 dev eth1

# Add bridge
ip link add name br0 type bridge
sleep 1

ip link set dev br0 type bridge vlan_filtering 1
sleep 1

ip link add veth1 type veth peer name veth2
sleep 1

# Add the 2 ports (one from switch, one veth)
ip link set eth1 master br0
ip link set veth1 master br0

sleep 1
ip link set veth1 up
ip link set veth2 up
ip link set br0 up
sleep 1

ip addr add 172.16.42.199/22 dev veth2

